ru.bitel.bgbilling.modules.bvcom.common.bean

## Class BVComTransaction

- java.lang.Object
- - ru.bitel.common.model.Id
  - - ru.bitel.bgbilling.modules.bvcom.common.bean.BVComTransaction

- All Implemented Interfaces:
    java.io.Serializable, Idable

      public class BVComTransaction
      extends Id

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `FILTER_PAYMENT_ACCEPT`
    `static int` | `FILTER_PAYMENT_REJECT`
    `static int` | `STATUS_APPROVED`
    `static int` | `STATUS_CANCELED`
    `static int` | `STATUS_CREATED`
    `static int` | `STATUS_DECLINED`
    `static int` | `STATUS_ERROR`
    `static int` | `STATUS_FILTERED`
    `static int` | `STATUS_MONEY_RETURN_PROCESSING`
    `static int` | `STATUS_RETURNED`

    - ### Fields inherited from class ru.bitel.common.model.Id

      `id`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BVComTransaction()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getBvcomOrderId()`
    `java.lang.String` | `getContractComment()`
    `int` | `getContractId()`
    `java.lang.String` | `getContractTitle()`
    `java.util.Date` | `getCreateTime()`
    `java.util.Date` | `getEndTime()`
    `int` | `getStatus()`
    `java.lang.String` | `getStatusTitle()`
    `java.math.BigDecimal` | `getSumma()`
    `void` | `setBvcomOrderId(java.lang.String bvcomOrderId)`
    `void` | `setContractComment(java.lang.String contractComment)`
    `void` | `setContractId(int contractId)`
    `void` | `setContractTitle(java.lang.String contractTitle)`
    `void` | `setCreateTime(java.util.Date createTime)`
    `void` | `setEndTime(java.util.Date transactionTime)`
    `void` | `setStatus(int status)`
    `void` | `setSumma(java.math.BigDecimal summa)`

    - ### Methods inherited from class ru.bitel.common.model.Id

      `equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### STATUS_CREATED

          public static final int STATUS_CREATED

      See Also:
        Constant Field Values

    - #### STATUS_APPROVED

          public static final int STATUS_APPROVED

      See Also:
        Constant Field Values

    - #### STATUS_CANCELED

          public static final int STATUS_CANCELED

      See Also:
        Constant Field Values

    - #### STATUS_DECLINED

          public static final int STATUS_DECLINED

      See Also:
        Constant Field Values

    - #### STATUS_ERROR

          public static final int STATUS_ERROR

      See Also:
        Constant Field Values

    - #### STATUS_FILTERED

          public static final int STATUS_FILTERED

      See Also:
        Constant Field Values

    - #### STATUS_RETURNED

          public static final int STATUS_RETURNED

      See Also:
        Constant Field Values

    - #### STATUS_MONEY_RETURN_PROCESSING

          public static final int STATUS_MONEY_RETURN_PROCESSING

      See Also:
        Constant Field Values

    - #### FILTER_PAYMENT_ACCEPT

          public static final int FILTER_PAYMENT_ACCEPT

      See Also:
        Constant Field Values

    - #### FILTER_PAYMENT_REJECT

          public static final int FILTER_PAYMENT_REJECT

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### BVComTransaction

          public BVComTransaction()

  - ### Method Detail

    - #### getContractId

          public int getContractId()

    - #### setContractId

          public void setContractId(int contractId)

    - #### getContractTitle

          public java.lang.String getContractTitle()

    - #### setContractTitle

          public void setContractTitle(java.lang.String contractTitle)

    - #### getContractComment

          public java.lang.String getContractComment()

    - #### setContractComment

          public void setContractComment(java.lang.String contractComment)

    - #### getCreateTime

          public java.util.Date getCreateTime()

    - #### setCreateTime

          public void setCreateTime(java.util.Date createTime)

    - #### getEndTime

          public java.util.Date getEndTime()

    - #### setEndTime

          public void setEndTime(java.util.Date transactionTime)

    - #### getSumma

          public java.math.BigDecimal getSumma()

    - #### setSumma

          public void setSumma(java.math.BigDecimal summa)

    - #### getStatus

          public int getStatus()

    - #### setStatus

          public void setStatus(int status)

    - #### getStatusTitle

          public java.lang.String getStatusTitle()

    - #### setBvcomOrderId

          public void setBvcomOrderId(java.lang.String bvcomOrderId)

    - #### getBvcomOrderId

          public java.lang.String getBvcomOrderId()